# SPVM Language

* <a href="https://metacpan.org/pod/SPVM">SPVM - CPAN</a>

## Documents

* <a href="https://metacpan.org/pod/SPVM::Document::Tutorial">Tutorial</a>
* <a href="https://metacpan.org/pod/SPVM::Document::Language">Language Specification</a>
* <a href="https://metacpan.org/pod/SPVM::Document::Benchmark">Benchmark</a>
* <a href="https://metacpan.org/pod/SPVM::Document::ExchangeAPI">Exchange API</a>
* <a href="https://metacpan.org/pod/SPVM::Document::NativeAPI">Native API</a>
* <a href="https://metacpan.org/pod/SPVM::Document::NativeModule">Native Module</a>
* <a href="https://metacpan.org/pod/SPVM::Document::Resource">Resource</a>

## Wiki

* <a href="https://github.com/yuki-kimoto/SPVM/wiki">Wiki</a>

## Standard Modules

* <a href="https://metacpan.org/pod/SPVM::Document::Modules">SPVM Standard Modules</a>

## CPAN Modules

* <a href="https://github.com/yuki-kimoto/SPVM-Digest-MD5">SPVM::Digest::MD5</a>
* <a href="https://github.com/yuki-kimoto/SPVM-Digest-SHA">SPVM::Digest::SHA</a>
* <a href="https://github.com/yuki-kimoto/SPVM-Errno">SPVM::Errno</a>
* <a href="https://github.com/yuki-kimoto/SPVM-File-Basename">SPVM::File::Basename</a>
* <a href="https://github.com/yuki-kimoto/SPVM-File-Copy">SPVM::File::Copy</a>
* <a href="https://github.com/yuki-kimoto/SPVM-File-Find">SPVM::File::Find</a>
* <a href="https://github.com/yuki-kimoto/SPVM-File-Glob">SPVM::File::Glob</a>
* <a href="https://github.com/yuki-kimoto/SPVM-File-Path">SPVM::File::Path</a>
* <a href="https://github.com/yuki-kimoto/SPVM-File-Spec">SPVM::File::Spec</a>
* <a href="https://github.com/yuki-kimoto/SPVM-File-Temp">SPVM::File::Temp</a>
* <a href="https://github.com/yuki-kimoto/SPVM-FindBin">SPVM::FindBin</a>
* <a href="https://github.com/yuki-kimoto/SPVM-IO">SPVM::IO</a>
* <a href="https://github.com/yuki-kimoto/SPVM-JSON">SPVM::JSON</a>
* <a href="https://github.com/yuki-kimoto/SPVM-Math">SPVM::Math</a>
* <a href="https://github.com/yuki-kimoto/SPVM-MIME-Base64">SPVM::MIME::Base64</a>
* <a href="https://github.com/yuki-kimoto/SPVM-Regex">SPVM::Regex</a>
* <a href="https://github.com/yuki-kimoto/SPVM-Resource-Libpng">SPVM::Resource::Libpng</a>
* <a href="https://github.com/yuki-kimoto/SPVM-Resource-RE2">SPVM::Resource::RE2</a>
* <a href="https://github.com/yuki-kimoto/SPVM-Resource-SocketUtil">SPVM::Resource::SocketUtil</a>
* <a href="https://github.com/yuki-kimoto/SPVM-Resource-Zlib">SPVM::Resource::Zlib</a>
* <a href="https://github.com/yuki-kimoto/SPVM-Sys">SPVM::Sys</a>
* <a href="https://github.com/yuki-kimoto/SPVM-Time-Local">SPVM::Time::Local</a>
* <a href="https://github.com/yuki-kimoto/SPVM-Unicode">SPVM::Unicode</a>


## Highly Experimental CPAN Modules

* <a href="https://github.com/yuki-kimoto/SPVM-HTTP-Minimal">SPVM::HTTP::Minimal</a>
* <a href="https://github.com/yuki-kimoto/SPVM-Mozilla-CA">SPVM::Mozilla::CA</a>
* <a href="https://github.com/yuki-kimoto/SPVM-Net-SSLeay">SPVM::Net::SSLeay</a>
* <a href="https://github.com/yuki-kimoto/SPVM-Numpy">SPVM::Numpy</a>

## Not Released CPAN Modules

* <a href="https://github.com/yuki-kimoto/SPVM-Go">SPVM::Go</a>
* <a href="https://github.com/yuki-kimoto/SPVM-Time-HiRes">SPVM::Time::HiRes</a>

## Examples

* <a href="https://github.com/yuki-kimoto/">SPVM::MyEigen</a>
